.\"     $NetBSD$
.\"
.\"     $OpenBSD: harmony.4,v 1.7 2004/03/15 13:27:48 miod Exp $
.\"
.\"
.\" Copyright (c) 2003 Jason L. Wright (jason@thought.net)
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 26, 2003
.Dt HARMONY 4 hp700
.Os
.Sh NAME
.Nm harmony
.Nd CS4215/AD1849 audio interface
.Sh SYNOPSIS
.Cd "harmony* at gsc?"
.Cd "audio*   at harmony?"
.Sh DESCRIPTION
The
.Nm
device uses the
.Tn Crystal Semiconductor
.Tn CS4215
16-Bit Multimedia Audio Codec
or
.Tn Analog Devices
.Tn AD1849
.Tn SoundPort(R) Stereo Codec
chip to implement the audio device interface described in
.Xr audio 4 .
This device is found on most
.Tn HP PA-RISC
workstations.
The
.Nm
has a maximum precision of 16 bits and has a stereo input and stereo output.
.Pp
On
.Tn HP 9000/712
models
.Nm
also provides two additional channels for an add-on
card with two fax/voice modems.
.Pp
One of the hardware registers reflects the state of the
.Tn CHI
bus that is used to communicate with the codec and thus
being sampled at a low accuracy secondary frequency
(such as
.Xr timeout 9 )
produces poor quality random bit stream that is fed into the
entropy pool of
.Xr rnd 4 .
.Sh MACHINES
An incomplete list of machines that feature
.Nm
audio:
.Pp
.Bl -bullet -compact
.It
712/*
.It
715/*
.It
725/*
.It
735/*
.It
755/*
.It
B132L[+], B160L, B180L+
.It
C100, C110, C132L, C160[L], C180, C200, C240, C360
.It
J200, J210[XC], J280, J282, J2240
.El
.Sh SEE ALSO
.Xr ioctl 2 ,
.Xr audio 4 ,
.Xr gsc 4 ,
.Xr intro 4 ,
.Xr rnd 4
.Sh HISTORY
Support for
.Nm
first appeared in
.Ox 3.3 .
It was ported to
.Nx 1.6
by Chuck Silvers.
.Sh CAVEATS
To trigger entropy collection
.Tn CHI
bus has to be programmed into the data mode that happens once
a single buffer of data has been played or recorded.
